#include <bits/stdc++.h>
using namespace std;

int n, m, k;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    cin >> n >> m >> k;
    cout << ((m + k - 1) / k) * ((n + k - 1) / k);

    return 0;
}
